Fixed: a crash bug on really new linux distributions

It has brought to my attention that the Dolphin Viewer 3 does not start on openSUSE 12.2 (and possibly on other linux distributions that use the fontconfig library in version 2.9).

Turns out that this is a known bug in Linden Lab’s build setup (STORM-1854).

NickyP’s patch has been applied, tested, and solves this problem for Dolphin Viewer 3.

If you are impacted by this crash, please re-download the linux package for 3.3.19, and unpack it again. Users of openSUSE 12.2 who installed the Dolphin Viewer 3 as a RPM package using the one-click-install link on the download page will get the required update automatically with their regular system updates.

For anyone who is impacted by this on any other viewer, there is a manual workaround:

lemmy@sai:/temp/slsource/DolphinViewer3-i686-linux-3.3.19.24756/lib> ln -sf libfontconfig.so.1.4.4 libfontconfig.so.1
lemmy@sai:/temp/slsource/DolphinViewer3-i686-linux-3.3.19.24756/lib> ln -sf libfontconfig.so.1.4.4 libfontconfig.so

Or in other words, create two symlinks in the “lib” folder inside the place where you unpack your viewer, pointing at libfontconfig.so.1.4.4, with the names libfontconfig.so and libfontconfig.so.1.